Skip to main content
POST
/
v3
/
stores
/
{store_id}
/
public
/
auth
/
otp
/
send
Send a customer login OTP or return direct login tokens
curl --request POST \
  --url https://api.myscalev.com/v3/stores/{store_id}/public/auth/otp/send \
  --header 'Content-Type: application/json' \
  --header 'X-Scalev-Storefront-Api-Key: <x-scalev-storefront-api-key>' \
  --data '
{
  "email": "jsmith@example.com",
  "password": "<string>",
  "login_as": "customer"
}
'
{}

Headers

X-Scalev-Storefront-Api-Key
string
required

Publishable storefront public API key for the target store.

Path Parameters

store_id
string
required

Store unique_id.

Body

application/json
email
string<email>
required
password
string
required
login_as
enum<string>
Available options:
customer,
owner

Response

Success

Raw single-resource success payload for v3.